## org.gnu.gdk
Class GdkCairo

    java.lang.Object
      org.gnu.glib.Struct
          org.freedesktop.cairo.CairoObject
              org.freedesktop.cairo.Context
                  org.gnu.gdk.GdkCairo

public class GdkCairo
extends org.freedesktop.cairo.Context

Constructor Summary
`GdkCairo(Drawable drawable)` Create a cairo Context from drawing to the Drawable.

Method Summary
`void` `rectangle(Rectangle rect)` Adds the given rectangle to the current path.
`void` `region(Region reg)` Adds the given region to the current path.
`void` `setSourceColor(Color color)` Sets the specified color as the source color of the cairo Context.
`void` `setSourcePixbuf(Pixbuf pixbuf, double pixbufX, double pixbufY)` Sets the given pixbuf as the source pattern for the cairo Context.

Methods inherited from class org.freedesktop.cairo.Context

`arc, arc, arcNegative, arcNegative, clip, clipPreserve, closePath, copyPage, curveTo, curveTo, deviceToUser, deviceToUserDistance, ellipse, fill, fillExtents, fillPreserve, fontExtents, getAntialias, getCurrentPoint, getFillRule, getFontFace, getFontMatrix, getFontOptions, getLineCap, getLineJoin, getLineWidth, getMatrix, getMiterLimit, getOperator, getSource, getTarget, getTolerance, glyphExtents, glyphPath, identityMatrix, lineTo, lineTo, mask, mask, moveTo, moveTo, newPath, paint, paintWithAlpha, rectangle, rectangle, relCurveTo, relCurveTo, relLineTo, relLineTo, relMoveTo, relMoveTo, resetClip, restore, rotate, save, scale, selectFontFace, setAntialias, setDash, setFillRule, setFontFace, setFontMatrix, setFontOptions, setFontSize, setLineCap, setLineJoin, setLineWidth, setMatrix, setMiterLimit, setOperator, setSource, setSource, setSourceRGB, setSourceRGBA, setTolerance, showGlyphs, showPage, showText, status, stroke, strokeExtents, strokePreserve, textExtents, textPath, transform, translate, userToDevice, userToDeviceDistance`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GdkCairo

    public GdkCairo(Drawable drawable)

  Create a cairo Context from drawing to the Drawable.

Parameters:
  `drawable` -

Method Detail

### setSourceColor

    public void setSourceColor(Color color)

  Sets the specified color as the source color of the cairo Context.

  Parameters:
    `color` -

### setSourcePixbuf

    public void setSourcePixbuf(Pixbuf pixbuf,
                                double pixbufX,
                                double pixbufY)

  Sets the given pixbuf as the source pattern for the cairo Context. The pattern has an extend mode of NONE and is aligned so that the origin of pixbuf is pixbufX, pixbufY.

  Parameters:
    `pixbuf` -
    `pixbufX` -
    `pixbufY` -

### rectangle

    public void rectangle(Rectangle rect)

  Adds the given rectangle to the current path.

### region

    public void region(Region reg)

  Adds the given region to the current path.